%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-fs-extra
Version:    0.8.1
Release:    3%{?dist}
Summary:    A drop-in replacement for Node's native fs module with a few extra methods
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/jprichardson/node-fs-extra
Source0:    http://registry.npmjs.org/fs-extra/-/fs-extra-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-v%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(jsonfile)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(ncp)
BuildRequires:  npm(rimraf)
# Not yet packaged for Fedora.
# BuildRequires:  npm(path-extra)
# BuildRequires:  npm(testutil)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
chmod 644 package.json

%nodejs_fixdep ncp '~0.4'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/fs-extra
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/fs-extra

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# /usr/bin/npm install path-extra@0.0.x
# /usr/bin/npm install testutil@0.5.x
/usr/bin/mocha -R spec test
%endif


%files
%doc CHANGELOG.md LICENSE README.md
%{nodejs_sitelib}/fs-extra


%changelog
* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-3
- fix version of npm(ncp) dependency

* Wed Apr 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-2
- fix version of npm(ncp) dependency

* Sat Apr 19 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.8.1-1
- initial package
